cURL
curl --request PATCH \ --url https://test-api.afrainity.com/api/v1/school/users/{id}/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "email": "jsmith@example.com", "phone_number": "<string>", "is_staff": true } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "jsmith@example.com", "phone_number": "<string>", "is_staff": true, "roles": [ "<unknown>" ], "scope": "<string>", "client": { "name": "<string>", "schema_name": "<string>", "code": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "domain": [ "<unknown>" ], "setup_progress": "in_progress", "is_active": true, "created_at": "2023-12-25", "updated_at": "2023-12-25" }, "teacher_profile": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A UUID string identifying this User.
254
20
Show child attributes